"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TooManyRequestsError = exports.InternalServerError = exports.MissingRequiredArgument = exports.HttpResponseError = exports.HackMDError = void 0;
class HackMDError extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
exports.HackMDError = HackMDError;
class HttpResponseError extends HackMDError {
    constructor(message, code, statusText) {
        super(message);
        this.code = code;
        this.statusText = statusText;
    }
}
exports.HttpResponseError = HttpResponseError;
class MissingRequiredArgument extends HackMDError {
}
exports.MissingRequiredArgument = MissingRequiredArgument;
class InternalServerError extends HttpResponseError {
}
exports.InternalServerError = InternalServerError;
class TooManyRequestsError extends HttpResponseError {
    constructor(message, code, statusText, userLimit, userRemaining, resetAfter) {
        super(message, code, statusText);
        this.code = code;
        this.statusText = statusText;
        this.userLimit = userLimit;
        this.userRemaining = userRemaining;
        this.resetAfter = resetAfter;
    }
}
exports.TooManyRequestsError = TooManyRequestsError;
